PHP ��U
前一頁 |  | 下一頁

# nsapi_request_headers

(PHP 4 >= 4.3.3, PHP 5)

nsapi_request_headers -- Fetch all HTTP request headers

## Description

array nsapi_request_headers ( void )

nsapi_request_headers() gets all the HTTP headers in the current request. This is only supported when PHP runs as a NSAPI module.

> 注: Prior to PHP 4.3.3, getallheaders() was only available for the Apache servers. After PHP 4.3.3, getallheaders() is an alias for nsapi_request_headers() if you use the NSAPI module.

> 注: You can also get at the value of the common CGI variables by reading them from the $_SERVER superglobal, which works whether or not you are using PHP as a NSAPI module.

## Return Values

Returns an associative array with all the HTTP headers.

## �d��

範例 1. nsapi_request_headers() example

`<?php $headers = nsapi_request_headers(); foreach ($headers as $header => $value) { echo "$header: $value <br />\n"; } ?>`

前一頁 | 內容 | 下一頁
NSAPI-specific Functions | 上一層 | nsapi_response_headers